body:has(#checkout[open]) {
    overflow: hidden;
}

#checkout {
    display: none;
    
    position: fixed;
    top: 0;
    left: 0;
    
    width: 100%;
    height: 100%;
    overflow: auto;
    
    background-color: var(--white);
    z-index: 40;
}

#checkout.visible {
    display: block;
}

#checkout-container {
    margin-block: 2rem 4rem;
    margin-inline: auto;
    
    width: min(90%, 700px);
    overflow-y: auto;
}

.checkout-heading {
    margin-block-end: 2rem;
    
    display: flex;
    justify-content: space-between;
    
    font-family: "Zilla Slab", serif;
    font-size: 2rem;
}

#checkout-items-container, #payment-container, #payment-form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    
    font-family: "Zilla Slab", serif;
    font-size: 1.2rem;
}

#payment-container {
    padding: 1rem;
    border: 2px solid var(--black);
}

.checkout-item {
    padding-block-end: 1rem;
    
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    
    border-block-end: 2px solid var(--black);
}

#checkout-total {
    display: flex;
    justify-content: flex-end;
}

#checkout-items-container {
    margin-block-end: 2rem;
}

.payment-form-input-section {
    margin-block-start: 1.5rem;
    
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem 1rem;
    flex-wrap: wrap;
}



#payment-form input[type="text"] {
    padding-block-end: 0.25rem;
    width: 100%;
}

.payment-form-input-section-inner {
    display: flex;
    gap: 0.75rem;
    
    width: 45%;
}

.invalid-input-heading {
    color: var(--red);
}

.invalid-input-border {
    border-block-end: 2px solid var(--red);
}

#payment-errors {
    display: none;
}

#pay-now-btn-container {
    margin-block-start: 2rem;
    width: 100%;
}

#pay-now-btn {
    width: 100%;
}


